%global alphatag     20091214
%global svn_revision svn3482

# Package source is take from upstream svn repository
# Use this command to generate source tarball :
# svn export -r 3482 svn://svn.tuxfamily.org/svnroot/monkeystudio/mks/v2/trunk mks-svn3482
# tar cfz mks-svn3482.tar.gz mks-svn3482

Name:           monkeystudio
Version:        1.8.4.0
Release:        0.4.%{alphatag}%{svn_revision}%{?dist}
Summary:        Free crossplatform Qt 4 IDE

Group:          Development/Tools
License:        GPLv3
URL:            http://www.%{name}.org/
Source0:        mks-%{svn_revision}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Version is specified to avoid plugin problems (see #475110 C22)
BuildRequires:  qt-devel >= 4.5.2-12
BuildRequires:  desktop-file-utils
BuildRequires:  qscintilla-devel

%description
MonkeyStudio is a crossplatform Integrated Development Environment ( IDE )
aiming to become a Rapid Application Development ( RAD ) environment.
MonkeyStudio runs everywhere Qt 4.4.0 ( minimum required to build it )
is available as a shared library. It is extensible via a great and powerful
plugin system which help make it do nearly anything you want and support
virtually any kind of project type for which a plugin exists or is created.
The primary goal of MonkeyStudio was to manage Qt4 projects as best
as possible, it directly uses .pro files and does not create intrusive or
unsightly configuration files. MonkyStudio is also a multi language
code editor too ( javascript, xml, ... ).


%prep
%setup -q -n mks-%{svn_revision}

chmod 0644 datas/templates/Python/PyQt\ Gui/{\$Form\ File\ Name\$.ui,template.ini,\$Project\ Name\$.xpyqt}
chmod 0644 datas/templates/Python/Qt\ Form/{\$Class\ Name\$.ui,template.ini}
chmod 0644 datas/templates/Python/PyQt\ Console/{template.ini,\$Project\ Name\$.xpyqt}
chmod 0644 datas/templates/Python/QObject\ Herited\ Class/template.ini
chmod 0644 plugins/interpreter/Python/src/*.{cpp,h}
chmod 0644 plugins/xup/PyQt/src/PyQt.{cpp,h}
chmod 0755 datas/apis/tags2api.py

# UpdateChecker is removed because yum will take care of updates
sed -i -e 's/UpdateChecker//' plugins/base/base.pro

sed -i -e 's/\r//' 'datas/templates/Python/Qt Form/template.ini' 'datas/templates/Python/Qt Form/$Class Name$.ui' readme.txt 'datas/templates/Python/PyQt Gui/$Form File Name$.ui' dev-readme 'datas/apis/tags2api.py'
sed -i -e 's/\.ui/ui/' -e 's/\.moc/moc/' -e 's/\.rcc/rcc/' config.pri
sed -i -e 's/\.moc/moc/' plugins/plugins.pri 


%build
%{_qt4_qmake} prefix=%{_prefix} plugins=%{_libdir} system_qscintilla=1
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%{_qt4_qmake} prefix=%{_prefix} plugins=%{_libdir} system_qscintilla=1
make install INSTALL_ROOT=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Doxyfile GPL-3 readme.txt dev-readme
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Dec 14 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.4.20091214svn3482
- Update svn checkout
- Fix #539003
- Add smp_mflags at build step, as it now works with this package
* Mon Sep 14 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.3.20090824svn3243
- Removed unused licence files
* Mon Aug 31 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.2.20090824svn3243
- Add qt-devel version to avoid plugin problems
- Removed UpdateChecker plugin compilation
* Mon Aug 24 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.4.0-0.1.20090824svn3243
- Now using svn
* Sat Jun 27 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.3-2
- Remove 64 bits trick
- Use qt4 macros
- Fix some files permissions
* Sun May 10 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.3-1
- Rebuild for 1.8.3.3
* Sun Feb 15 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.2-1
- Rebuild for 1.8.3.2
* Mon Dec 29 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.0-1
- Rebuild for 1.8.3.0 release
* Sun Dec  7 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.8.3.0-1.2625svn
- initital build
